commit ca0757b91c38c78a1434a92ac17297b4d6db712f
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Oct 8 22:51:03 2014 +0200

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/date_ical/date_ical.api.php b/drupal7/sites/all/modules/date_ical/date_ical.api.php
index 24abdb1d..22a710c9 100644
--- a/drupal7/sites/all/modules/date_ical/date_ical.api.php
+++ b/drupal7/sites/all/modules/date_ical/date_ical.api.php
@@ -221,3 +221,32 @@ function hook_date_ical_import_timezone_alter(&$tzid, $context) {
     $tzid = 'America/New_York';
   }
 }
+
+/**
+ * Add an additional custom source to be mapped by a feed.
+ *
+ * This is useful when you need to map fields from an iCal feed which
+ * the Date iCal module does not currently support.
+ *
+ * @param array $sources
+ *   An associative array containing the source's properties, as follows:
+ *     name: The name that will appear in the feed importer Mapping page.
+ *     description: The description of this field shown in the Mapping page.
+ *     date_ical_parse_handler: The function in the ParserVcalendar class
+ *       which should be used to parse this iCal property into a Drupal field.
+ */
+function hook_date_ical_mapping_sources_alter(&$sources) {
+  // Example of what might be done with this alter hook:
+  // Add the "ATTENDEE" iCal property to the mapping sources.
+  $sources['ATTENDEE'] = array(
+    'name' => t('Attendee'),
+    'description' => t('The ATTENDEE property.'),
+    'date_ical_parse_handler' => 'parseTextProperty',
+  );
+  // Add "ATTENDEE:CN" parameter to the mapping sources.
+  $sources['ATTENDEE:CN'] = array(
+    'name' => t('Attendee: CN'),
+    'description' => t("The CN parameter of the ATTENDEE property: the attendee's Common Name."),
+    'date_ical_parse_handler' => 'parsePropertyParameter',
+  );
+}
diff --git a/drupal7/sites/all/modules/date_ical/date_ical.info b/drupal7/sites/all/modules/date_ical/date_ical.info
index d0943167..52c4f0db 100644
--- a/drupal7/sites/all/modules/date_ical/date_ical.info
+++ b/drupal7/sites/all/modules/date_ical/date_ical.info
@@ -21,9 +21,9 @@ files[] = includes/date_ical_plugin_style_ical_feed.inc
 ; Includes for iCal feed import using Feeds
 files[] = includes/DateiCalFeedsParser.inc
 
-; Information added by Drupal.org packaging script on 2014-05-30
-version = "7.x-3.2"
+; Information added by Drupal.org packaging script on 2014-10-08
+version = "7.x-3.3"
 core = "7.x"
 project = "date_ical"
-datestamp = "1401492228"
+datestamp = "1412727230"
 
diff --git a/drupal7/sites/all/modules/date_ical/date_ical.module b/drupal7/sites/all/modules/date_ical/date_ical.module
index aa716c4c..f9c314ff 100644
--- a/drupal7/sites/all/modules/date_ical/date_ical.module
+++ b/drupal7/sites/all/modules/date_ical/date_ical.module
@@ -10,7 +10,7 @@
  * value of the iCal feeds created by Date iCal. It's primarily used for
  * debugging.
  */
-define('DATE_ICAL_VERSION', '3.2');
+define('DATE_ICAL_VERSION', '3.3');
 
 /**
  * Exception class for generic exceptions thrown by this module.
@@ -222,29 +222,28 @@ function date_ical_feeds_processor_targets_alter(&$targets, $entity_type, $bundl
 /**
  * Reformats the provided text to be compliant with the iCal spec.
  *
- * If the text contains HTML tags, those tags will be stripped (with <p> tags
- * converted to "\n\n" and link tags converted to footnotes), and uneeded
- * whitespace will be cleaned up.
+ * If the text contains HTML tags, those tags will be stripped. Paragraph,
+ * heading, and div tags will be replaced with newlines.
  *
  * @param string $text
  *   The text to be sanitized.
  */
 function date_ical_sanitize_text($text = '') {
-  // Use Drupal's built-in HTML to Text converter, which does a mostly
-  // adequate job of making the text iCal-compliant.
-  $text = trim(drupal_html_to_text($text));
-  // Replace instances of more than one space with exactly one space. This
-  // cleans up the whitespace mess that drupal_html_to_text() leaves behind.
-  $text = preg_replace("/  +/", " ", $text);
-  // The call to drupal_html_to_text() above converted <p> to \n\n, and also
-  // shoved a \n into the string every 80 characters. We don't want those
-  // single \n's lying around, because iCalcreator will properly "fold" long
-  // text fields for us. So, we need to remove all instances of \n which
-  // are neither immediately preceeded, nor followed, by another \n.
-  // However, \n's which are followed immediately by a > character should
-  // remain, because of how drupal_html_to_text() converts <blockquote>.
-  $text = preg_replace("/(?<!\n)\n(?![\n\>])/", " ", $text);
-  return $text;
+  // HTML tags may get converted to &lt; and such by the View code, so we need
+  // to convert them back to HTML so we can remove them with strip_tags().
+  $text = decode_entities($text);
+  
+  // Convert <p> tags to double newlines.
+  $text = trim(preg_replace("/<p.*?>/i", "\n\n", $text));
+  // Separate heading tags from the text around them in both directions.
+  $text = trim(preg_replace("/<\\?h\d.*?>/i", "\n\n", $text));
+  // Add a newline for each <div>.
+  $text = trim(preg_replace("/<div.*?>/i", "\n", $text));
+  
+  // Strip the remaining HTML.
+  $text = strip_tags($text);
+  // Remove newlines added at the beginning.
+  return trim($text);
 }
 
 /**
diff --git a/drupal7/sites/all/modules/date_ical/includes/DateiCalFeedsParser.inc b/drupal7/sites/all/modules/date_ical/includes/DateiCalFeedsParser.inc
index 83270737..c1863f5b 100644
--- a/drupal7/sites/all/modules/date_ical/includes/DateiCalFeedsParser.inc
+++ b/drupal7/sites/all/modules/date_ical/includes/DateiCalFeedsParser.inc
@@ -85,6 +85,7 @@ class DateiCalFeedsParser extends FeedsParser {
   public function configDefaults() {
     return array(
       'indefinite_count' => '52',
+      'indefinite_message_display' => TRUE,
       'until_not_utc' => FALSE,
       'skip_days' => NULL,
     );
@@ -107,6 +108,12 @@ class DateiCalFeedsParser extends FeedsParser {
       '#description' => t('Indefinitely repeating events are not supported. The repeat count will instead be set to this number.'),
       '#default_value' => $this->config['indefinite_count'],
     );
+    $form['indefinite_message_display'] = array(
+      '#title' => t('Display message when RRULE is missing COUNT'),
+      '#type' => 'checkbox',
+      '#default_value' => $this->config['indefinite_message_display'],
+      '#description' => t('Display a message when an indefinitely repeating rule is adjusted by the "Indefinite COUNT" setting above.'),
+    );
     $form['until_not_utc'] = array(
       '#title' => t('RRULE UNTILs are not in UTC'),
       '#type' => 'checkbox',
@@ -196,6 +203,10 @@ class DateiCalFeedsParser extends FeedsParser {
       'description' => t('The CATEGORIES property. Catagories that describe the event, which can be imported into taxonomy terms.'),
       'date_ical_parse_handler' => 'parseMultivalueProperty',
     );
+    
+    // Allow other modules to add custom source fields.
+    drupal_alter('date_ical_mapping_sources', $sources);
+    
     return $sources;
   }
 }
diff --git a/drupal7/sites/all/modules/date_ical/includes/date_ical_plugin_row_ical_fields.inc b/drupal7/sites/all/modules/date_ical/includes/date_ical_plugin_row_ical_fields.inc
index c632b1a1..c9540c76 100644
--- a/drupal7/sites/all/modules/date_ical/includes/date_ical_plugin_row_ical_fields.inc
+++ b/drupal7/sites/all/modules/date_ical/includes/date_ical_plugin_row_ical_fields.inc
@@ -226,13 +226,11 @@ class date_ical_plugin_row_ical_fields extends views_plugin_row {
     drupal_alter('date_ical_export_html', $text_fields, $this->view, $context);
     
     // Sanitize the text fields for iCal compliance, and add them to the event.
-    // Also strip all HTML from the summary and location fields, since they
-    // must be plaintext, and may have been set as links by the view.
-    $event['summary'] = date_ical_sanitize_text(strip_tags($text_fields['summary']));
-    $event['location'] = date_ical_sanitize_text(strip_tags($text_fields['location']));
+    $event['summary'] = date_ical_sanitize_text($text_fields['summary']);
+    $event['location'] = date_ical_sanitize_text($text_fields['location']);
     $event['description'] = date_ical_sanitize_text($text_fields['description']);
     
-    // Allow other modules to alter the event object, before it gets passed to
+    // Allow other modules to alter the event object before it gets passed to
     // the style plugin to be converted into an iCal VEVENT.
     drupal_alter('date_ical_export_raw_event', $event, $this->view, $context);
     
diff --git a/drupal7/sites/all/modules/date_ical/libraries/ParserVcalendar.inc b/drupal7/sites/all/modules/date_ical/libraries/ParserVcalendar.inc
index a714a7dd..0b5d8422 100644
--- a/drupal7/sites/all/modules/date_ical/libraries/ParserVcalendar.inc
+++ b/drupal7/sites/all/modules/date_ical/libraries/ParserVcalendar.inc
@@ -33,6 +33,17 @@ class ParserVcalendar {
   protected $totalComponents = 0;
   protected $lastComponentParsed = 0;
   
+  /**
+   * This is the list of iCal properties which are allowed to have more than
+   * one entry in a single VEVENT. If we ever support parsing more than just
+   * the first one, this listing will be useful.
+   */
+  protected $multi_entry_properties = array(
+    'ATTACH', 'ATTENDEE', 'CATEGORIES', 'COMMENT', 'CONTACT', 'DESCRIPTION',
+    'EXDATE', 'EXRULE', 'FREEBUSY', 'RDATE', 'RELATED-TO', 'RESOURCES',
+    'RRULE', 'REQUEST-STATUS', 'TZNAME', 'X-PROP'
+  );
+  
   /**
    * Constructor.
    */
@@ -123,8 +134,9 @@ class ParserVcalendar {
           else {
             // We can safely ignore certain sources.
             $known_unknowns = array(
-              // "Black Source 1" is from Feeds Tamper.
-              'Blank source 1',
+              'Blank source 1', // "Black Source 1" is from Feeds Tamper.
+              'parent:nid', // Defined in FeedsParser
+              'parent:uid', // Defined in FeedsParser
             );
             if (!in_array($property_key, $known_unknowns)) {
               // Only warn the user if this mapping source is in use.
@@ -180,6 +192,21 @@ class ParserVcalendar {
     return $this->lastComponentParsed;
   }
   
+  /**
+   * Handler that parses GEO fields.
+   *
+   * @return array
+   *   The latitude and longitude values, keyed by 'lat' and 'lon'.
+   */
+  public function parseGeofield($property_key, $vcalendar_component) {
+    $geo = array();
+    if (!empty($vcalendar_component->geo['value'])) {
+      $geo['lat'] = $vcalendar_component->geo['value']['latitude'];
+      $geo['lon'] = $vcalendar_component->geo['value']['longitude'];
+    }
+    return $geo;
+  }
+  
   /**
    * Handler that parses text fields.
    *
@@ -188,6 +215,15 @@ class ParserVcalendar {
    */
   public function parseTextProperty($property_key, $vcalendar_component) {
     $text = $vcalendar_component->getProperty($property_key);
+    // In case someone writes a hook that adds a source for a multi-entry
+    // property and a parameter of that same property, we need to force
+    // iCalcreator to assume it has not accessed that property, yet.
+    // TODO: This is really just a hack. If/when multi-entry properties
+    // become supported, this will need to be redesigned.
+    if (in_array($property_key, $this->multi_entry_properties)) {
+      unset($vcalendar_component->propix[$property_key]);
+    }
+    
     if ($text === FALSE) {
       if ($property_key == 'SUMMARY') {
         $uid = $vcalendar_component->getProperty('UID');
@@ -201,21 +237,6 @@ class ParserVcalendar {
     return $text;
   }
   
-  /**
-   * Handler that parses GEO fields.
-   *
-   * @return array
-   *   The latitude and longitude values, keyed by 'lat' and 'lon'.
-   */
-  public function parseGeofield($property_key, $vcalendar_component) {
-    $geo = array();
-    if (!empty($vcalendar_component->geo['value'])) {
-      $geo['lat'] = $vcalendar_component->geo['value']['latitude'];
-      $geo['lon'] = $vcalendar_component->geo['value']['longitude'];
-    }
-    return $geo;
-  }
-  
   /**
    * Handler that parses field parameters.
    *
@@ -225,6 +246,11 @@ class ParserVcalendar {
   public function parsePropertyParameter($property_key, $vcalendar_component) {
     list($key, $attr) = explode(':', $property_key);
     $property = $vcalendar_component->getProperty($key, FALSE, TRUE);
+    // See parseTextProperty() for why this is here.
+    if (in_array($property_key, $this->multi_entry_properties)) {
+      unset($vcalendar_component->propix[$property_key]);
+    }
+        
     if ($property === FALSE) {
       // If the component doesn't have this property, return NULL.
       return NULL;
@@ -422,17 +448,19 @@ class ParserVcalendar {
         $rrule_data['value']['INTERVAL'] = '1';
       }
       
-      if (!isset($rrule_data['value']['COUNT']) && !isset($rrule_data['value']['UNTIL'])) {
+      if ((!isset($rrule_data['value']['COUNT']) && !isset($rrule_data['value']['UNTIL']))) {
         $msg = "The event with UID %uid has an indefinitely repeating RRULE, which the Date Repeat module doesn't support.
           As a workaround, Date iCal set the repeat count to @count. This value can be customized in the iCal parser settings.";
         watchdog('date_ical', $msg, array('%uid' => $uid, '@count' => $count), WATCHDOG_WARNING);
-        drupal_set_message(
-          t("At least one of the events in this iCal feed has an indefinitely repeating RRULE, which the Date Repeat module doesn't support.<br>
-            As a workaround, Date iCal set the repeat count to @count. This value can be customized in the iCal parser settings.",
-          array('@count' => $count)),
-          'warning',
-          FALSE
-        );
+        if ($this->config['indefinite_message_display']) {
+          drupal_set_message(
+            t("At least one of the events in this iCal feed has an indefinitely repeating RRULE, which the Date Repeat module doesn't support.<br>
+              As a workaround, Date iCal set the repeat count to @count. This value can be customized in the iCal parser settings.",
+            array('@count' => $count)),
+            'warning',
+            FALSE
+          );
+        }
         $rrule_data['value']['COUNT'] = $this->config['indefinite_count'];
       }
     }
diff --git a/drupal7/sites/all/modules/file_entity/admin_views_default/file.admin-content-file.inc b/drupal7/sites/all/modules/file_entity/admin_views_default/file.admin-content-file.inc
index e0c8a747..c108497c 100644
--- a/drupal7/sites/all/modules/file_entity/admin_views_default/file.admin-content-file.inc
+++ b/drupal7/sites/all/modules/file_entity/admin_views_default/file.admin-content-file.inc
@@ -33,71 +33,78 @@ $handler->display->display_options['pager']['options']['id'] = '0';
 $handler->display->display_options['pager']['options']['quantity'] = '9';
 $handler->display->display_options['style_plugin'] = 'table';
 $handler->display->display_options['style_options']['columns'] = array(
-  'views_bulk_operations' => 'views_bulk_operations',
-  'filename' => 'filename',
-  'type' => 'type',
-  'name' => 'name',
-  'filesize' => 'filesize',
-  'timestamp' => 'timestamp',
-  'edit' => 'edit',
-  'delete' => 'delete',
+    'views_bulk_operations' => 'views_bulk_operations',
+    'filename' => 'filename',
+    'type' => 'type',
+    'name' => 'name',
+    'filesize' => 'filesize',
+    'timestamp' => 'timestamp',
+    'edit' => 'edit',
+    'delete' => 'delete',
 );
 $handler->display->display_options['style_options']['default'] = 'timestamp';
 $handler->display->display_options['style_options']['info'] = array(
-  'views_bulk_operations' => array(
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
-  'filename' => array(
-    'sortable' => 1,
-    'default_sort_order' => 'asc',
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
-  'type' => array(
-    'sortable' => 1,
-    'default_sort_order' => 'asc',
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
-  'name' => array(
-    'sortable' => 1,
-    'default_sort_order' => 'asc',
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
-  'filesize' => array(
-    'sortable' => 1,
-    'default_sort_order' => 'asc',
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
-  'timestamp' => array(
-    'sortable' => 1,
-    'default_sort_order' => 'desc',
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
-  'edit' => array(
-    'sortable' => 0,
-    'default_sort_order' => 'asc',
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
-  'delete' => array(
-    'sortable' => 0,
-    'default_sort_order' => 'asc',
-    'align' => '',
-    'separator' => '',
-    'empty_column' => 0,
-  ),
+    'views_bulk_operations' => array(
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'filename' => array(
+        'sortable' => 1,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'type' => array(
+        'sortable' => 1,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'name' => array(
+        'sortable' => 1,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'filesize' => array(
+        'sortable' => 1,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'timestamp' => array(
+        'sortable' => 1,
+        'default_sort_order' => 'desc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'edit' => array(
+        'sortable' => 0,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'usage' => array(
+        'sortable' => 1,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
+    'delete' => array(
+        'sortable' => 0,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+    ),
 );
 $handler->display->display_options['style_options']['sticky'] = TRUE;
 $handler->display->display_options['style_options']['empty_table'] = TRUE;
@@ -123,111 +130,130 @@ $handler->display->display_options['fields']['views_bulk_operations']['vbo_setti
 $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
 $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
 $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
-  'action::views_bulk_operations_archive_action' => array(
-    'selected' => 1,
-    'postpone_processing' => 0,
-    'skip_confirmation' => 0,
-    'override_label' => 1,
-    'label' => 'Archive',
-    'settings' => array(
-      'scheme' => 'public',
-      'temporary' => 1,
+    'action::views_bulk_operations_archive_action' => array(
+        'selected' => 1,
+        'postpone_processing' => 0,
+        'skip_confirmation' => 0,
+        'override_label' => 1,
+        'label' => 'Archive',
+        'settings' => array(
+            'scheme' => 'public',
+            'temporary' => 1,
+        ),
+    ),
+    'action::views_bulk_operations_delete_item' => array(
+        'selected' => 1,
+        'postpone_processing' => 0,
+        'skip_confirmation' => 0,
+        'override_label' => 1,
+        'label' => 'Delete',
+    ),
+    'action::views_bulk_operations_script_action' => array(
+        'selected' => 0,
+        'postpone_processing' => 0,
+        'skip_confirmation' => 0,
+        'override_label' => 0,
+        'label' => '',
+    ),
+    'action::views_bulk_operations_modify_action' => array(
+        'selected' => 1,
+        'postpone_processing' => 0,
+        'skip_confirmation' => 1,
+        'override_label' => 1,
+        'label' => 'Change value',
+        'settings' => array(
+            'show_all_tokens' => 1,
+            'display_values' => array(
+                '_all_' => '_all_',
+            ),
+        ),
     ),
-  ),
-  'action::views_bulk_operations_delete_item' => array(
-    'selected' => 1,
-    'postpone_processing' => 0,
-    'skip_confirmation' => 0,
-    'override_label' => 1,
-    'label' => 'Delete',
-  ),
-  'action::views_bulk_operations_script_action' => array(
-    'selected' => 0,
-    'postpone_processing' => 0,
-    'skip_confirmation' => 0,
-    'override_label' => 0,
-    'label' => '',
-  ),
-  'action::views_bulk_operations_modify_action' => array(
-    'selected' => 1,
-    'postpone_processing' => 0,
-    'skip_confirmation' => 1,
-    'override_label' => 1,
-    'label' => 'Change value',
-    'settings' => array(
-      'show_all_tokens' => 1,
-      'display_values' => array(
-        '_all_' => '_all_',
-      ),
+    'action::views_bulk_operations_argument_selector_action' => array(
+        'selected' => 0,
+        'skip_confirmation' => 0,
+        'override_label' => 0,
+        'label' => '',
+        'settings' => array(
+            'url' => '',
+        ),
     ),
-  ),
-  'action::views_bulk_operations_argument_selector_action' => array(
-    'selected' => 0,
-    'skip_confirmation' => 0,
-    'override_label' => 0,
-    'label' => '',
-    'settings' => array(
-      'url' => '',
+    'action::system_send_email_action' => array(
+        'selected' => 0,
+        'postpone_processing' => 0,
+        'skip_confirmation' => 0,
+        'override_label' => 0,
+        'label' => '',
+    ),
+    'action::panelizer_set_status_action' => array(
+        'selected' => 0,
+        'postpone_processing' => 0,
+        'skip_confirmation' => 0,
+        'override_label' => 0,
+        'label' => '',
     ),
-  ),
-  'action::system_send_email_action' => array(
-    'selected' => 0,
-    'postpone_processing' => 0,
-    'skip_confirmation' => 0,
-    'override_label' => 0,
-    'label' => '',
-  ),
-  'action::panelizer_set_status_action' => array(
-    'selected' => 0,
-    'postpone_processing' => 0,
-    'skip_confirmation' => 0,
-    'override_label' => 0,
-    'label' => '',
-  ),
 );
 /* Field: File: Name */
 $handler->display->display_options['fields']['filename']['id'] = 'filename';
 $handler->display->display_options['fields']['filename']['table'] = 'file_managed';
 $handler->display->display_options['fields']['filename']['field'] = 'filename';
+$handler->display->display_options['fields']['filename']['label'] = 'Title';
 /* Field: File: Type */
 $handler->display->display_options['fields']['type']['id'] = 'type';
 $handler->display->display_options['fields']['type']['table'] = 'file_managed';
 $handler->display->display_options['fields']['type']['field'] = 'type';
 $handler->display->display_options['fields']['type']['machine_name'] = 0;
+/* Field: File: Size */
+$handler->display->display_options['fields']['filesize']['id'] = 'filesize';
+$handler->display->display_options['fields']['filesize']['table'] = 'file_managed';
+$handler->display->display_options['fields']['filesize']['field'] = 'filesize';
+$handler->display->display_options['fields']['filesize']['empty'] = '0 bytes';
 /* Field: User: Name */
 $handler->display->display_options['fields']['name']['id'] = 'name';
 $handler->display->display_options['fields']['name']['table'] = 'users';
 $handler->display->display_options['fields']['name']['field'] = 'name';
 $handler->display->display_options['fields']['name']['relationship'] = 'uid';
-$handler->display->display_options['fields']['name']['label'] = 'User';
-/* Field: File: Size */
-$handler->display->display_options['fields']['filesize']['id'] = 'filesize';
-$handler->display->display_options['fields']['filesize']['table'] = 'file_managed';
-$handler->display->display_options['fields']['filesize']['field'] = 'filesize';
+$handler->display->display_options['fields']['name']['label'] = 'Author';
 /* Field: File: Upload date */
 $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
 $handler->display->display_options['fields']['timestamp']['table'] = 'file_managed';
 $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
-$handler->display->display_options['fields']['timestamp']['label'] = 'Uploaded';
+$handler->display->display_options['fields']['timestamp']['label'] = 'Updated';
 $handler->display->display_options['fields']['timestamp']['date_format'] = 'short';
+$handler->display->display_options['fields']['timestamp']['second_date_format'] = 'long';
+/* Field: File: Usage link */
+$handler->display->display_options['fields']['usage']['id'] = 'usage';
+$handler->display->display_options['fields']['usage']['table'] = 'file_managed';
+$handler->display->display_options['fields']['usage']['field'] = 'usage';
+$handler->display->display_options['fields']['usage']['label'] = 'Used in';
+$handler->display->display_options['fields']['usage']['element_label_colon'] = FALSE;
 /* Field: File: Edit link */
 $handler->display->display_options['fields']['edit']['id'] = 'edit';
 $handler->display->display_options['fields']['edit']['table'] = 'file_managed';
 $handler->display->display_options['fields']['edit']['field'] = 'edit';
 $handler->display->display_options['fields']['edit']['label'] = '';
+$handler->display->display_options['fields']['edit']['exclude'] = TRUE;
 $handler->display->display_options['fields']['edit']['element_label_colon'] = FALSE;
-/* Field: File: Usage link */
-$handler->display->display_options['fields']['usage']['id'] = 'usage';
-$handler->display->display_options['fields']['usage']['table'] = 'file_managed';
-$handler->display->display_options['fields']['usage']['field'] = 'usage';
-$handler->display->display_options['fields']['usage']['label'] = '';
-$handler->display->display_options['fields']['usage']['element_label_colon'] = FALSE;
 /* Field: File: Delete link */
 $handler->display->display_options['fields']['delete']['id'] = 'delete';
 $handler->display->display_options['fields']['delete']['table'] = 'file_managed';
 $handler->display->display_options['fields']['delete']['field'] = 'delete';
 $handler->display->display_options['fields']['delete']['label'] = '';
+$handler->display->display_options['fields']['delete']['exclude'] = TRUE;
+$handler->display->display_options['fields']['delete']['alter']['text'] = '<ul class="links inline">
+<li>[edit]</li>
+<li>[delete]</li>
+</ul>';
 $handler->display->display_options['fields']['delete']['element_label_colon'] = FALSE;
+/* Field: Global: Custom text */
+$handler->display->display_options['fields']['nothing']['id'] = 'nothing';
+$handler->display->display_options['fields']['nothing']['table'] = 'views';
+$handler->display->display_options['fields']['nothing']['field'] = 'nothing';
+$handler->display->display_options['fields']['nothing']['label'] = 'Operations';
+$handler->display->display_options['fields']['nothing']['alter']['text'] = '<ul class="links inline">
+<li>[edit]</li>
+<li>[delete]</li>
+</ul>';
+$handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
 /* Filter criterion: File: Name */
 $handler->display->display_options['filters']['filename']['id'] = 'filename';
 $handler->display->display_options['filters']['filename']['table'] = 'file_managed';
@@ -241,9 +267,9 @@ $handler->display->display_options['filters']['filename']['expose']['operator']
 $handler->display->display_options['filters']['filename']['expose']['identifier'] = 'filename';
 $handler->display->display_options['filters']['filename']['expose']['remember'] = TRUE;
 $handler->display->display_options['filters']['filename']['expose']['remember_roles'] = array(
-  2 => '2',
-  1 => 0,
-  3 => 0,
+    2 => '2',
+    1 => 0,
+    3 => 0,
 );
 /* Filter criterion: File: Type */
 $handler->display->display_options['filters']['type']['id'] = 'type';
@@ -257,9 +283,9 @@ $handler->display->display_options['filters']['type']['expose']['operator'] = 't
 $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
 $handler->display->display_options['filters']['type']['expose']['remember'] = TRUE;
 $handler->display->display_options['filters']['type']['expose']['remember_roles'] = array(
-  2 => '2',
-  1 => 0,
-  3 => 0,
+    2 => '2',
+    1 => 0,
+    3 => 0,
 );
 /* Filter criterion: User: Name */
 $handler->display->display_options['filters']['uid']['id'] = 'uid';
@@ -275,9 +301,9 @@ $handler->display->display_options['filters']['uid']['expose']['operator'] = 'ui
 $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
 $handler->display->display_options['filters']['uid']['expose']['remember'] = TRUE;
 $handler->display->display_options['filters']['uid']['expose']['remember_roles'] = array(
-  2 => '2',
-  1 => 0,
-  3 => 0,
+    2 => '2',
+    1 => 0,
+    3 => 0,
 );
 
 /* Display: System */
diff --git a/drupal7/sites/all/modules/file_entity/file_entity.admin.inc b/drupal7/sites/all/modules/file_entity/file_entity.admin.inc
index 43ef4755..0e09e451 100644
--- a/drupal7/sites/all/modules/file_entity/file_entity.admin.inc
+++ b/drupal7/sites/all/modules/file_entity/file_entity.admin.inc
@@ -1065,6 +1065,7 @@ function file_entity_settings_form($form, &$form_state) {
     '#title' => t('Default allowed file extensions'),
     '#default_value' => variable_get('file_entity_default_allowed_extensions', 'jpg jpeg gif png txt doc docx xls xlsx pdf ppt pptx pps ppsx odt ods odp mp3 mov mp4 m4a m4v mpeg avi ogg oga ogv weba webp webm'),
     '#description' => t('Separate extensions with a space or comma and do not include the leading dot.'),
+    '#maxlength' => NULL,
   );
 
   $form['file_entity_alt'] = array(
diff --git a/drupal7/sites/all/modules/file_entity/file_entity.api.php b/drupal7/sites/all/modules/file_entity/file_entity.api.php
index 9827446a..3a736812 100644
--- a/drupal7/sites/all/modules/file_entity/file_entity.api.php
+++ b/drupal7/sites/all/modules/file_entity/file_entity.api.php
@@ -338,6 +338,17 @@ function hook_file_download_headers_alter(array &$headers, $file) {
   $headers['X-Powered-By'] = 'My Module';
 }
 
+/**
+ * React to a file being downloaded.
+ */
+function hook_file_transfer($uri, array $headers) {
+  // Redirect a download for an S3 file to the actual location.
+  if (file_uri_scheme($uri) == 's3') {
+    $url = file_create_url($uri);
+    drupal_goto($url);
+  }
+}
+
 /**
  * Decides which file type (bundle) should be assigned to a file entity.
  *
